<selector xmlns:android="http://schemas.android.com/apk/res/android">
    <item android:state_pressed="true">
        <layer-list>
            <item>
                <shape>
                    <stroke android:width="3dp"
                        android:color="@color/colorPrimary" />

                    <padding android:left="4dp"
                        android:top="1dp"
                        android:right="4dp"
                        android:bottom="1dp" />

                    <corners android:bottomRightRadius="40dp"
                        android:bottomLeftRadius="40dp"
                        android:topLeftRadius="40dp"
                        android:topRightRadius="40dp" />
                </shape>
            </item>
        </layer-list>
    </item>
    <item android:state_enabled="false">
        <layer-list>
            <item>
                <shape>
                    <solid android:color="@color/colorTextInput"/>
                    <stroke android:width="3dp"
                        android:color="@color/colorTextInput" />

                    <padding android:left="4dp"
                        android:top="1dp"
                        android:right="4dp"
                        android:bottom="1dp" />

                    <corners android:bottomRightRadius="40dp"
                        android:bottomLeftRadius="40dp"
                        android:topLeftRadius="40dp"
                        android:topRightRadius="40dp" />
                </shape>
            </item>
        </layer-list>
    </item>
    <item android:state_hovered="true">
        <layer-list>
            <item>
                <shape>
                    <stroke android:width="3dp"
                        android:color="@color/colorPrimary" />

                    <padding android:left="4dp"
                        android:top="1dp"
                        android:right="4dp"
                        android:bottom="1dp" />

                    <corners android:bottomRightRadius="40dp"
                        android:bottomLeftRadius="40dp"
                        android:topLeftRadius="40dp"
                        android:topRightRadius="40dp" />
                </shape>
            </item>
        </layer-list>
    </item>
    <item>
        <layer-list>
            <item>
                <shape>
                    <solid android:color="@color/colorPrimary"/>
                    <padding android:left="4dp"
                        android:top="1dp"
                        android:right="4dp"
                        android:bottom="1dp" />

                    <corners android:bottomRightRadius="40dp"
                        android:bottomLeftRadius="40dp"
                        android:topLeftRadius="40dp"
                        android:topRightRadius="40dp" />
                </shape>
            </item>
        </layer-list>
    </item>
</selector>